<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="ca">
<head>
<!-- Generated by javadoc (13) on Tue Feb 18 11:22:32 CET 2020 -->
<title>Laberinto</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-02-18">
<meta name="description" content="declaration: package: laberinto, class: Laberinto">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Laberinto.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">laberinto</a></div>
<h1 title="Class Laberinto" class="title">Class Laberinto</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">java.lang.Object</a>
<div class="inheritance">laberinto.Laberinto</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="typeNameLabel">Laberinto</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></pre>
<div class="block"><h2>clase Laberinto, es un joc amb un mapa plé de mines i parets en les que introdueixes 
 les instruccions que ha de seguir el jugador a dins, un cop acabades les instruccions et diu la resolució 
 del programa que es si ha sortit, si ha morta i per on ha sortit (en cas que hagi sortit) </h2>
 
 Busca información de Javadoc en <a href="http://www.google.com">GOOGLE</a></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Oriol Porta Sobrino</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://www.google.com"> Google</a></dd>
</dl>
</section>
<section class="summary">
<ul class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Laberinto</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#comprobar(int%5B%5D%5B%5D,char,int,int%5B%5D)">comprobar</a></span>&#8203;(int[][]&nbsp;mapa,
char&nbsp;dir,
int&nbsp;dis,
int[]&nbsp;pos)</code></th>
<td class="colLast">
<div class="block">Comproba la direcció i el numero de pasos</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>static int[][]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#iniciarTablero(int%5B%5D%5B%5D)">iniciarTablero</a></span>&#8203;(int[][]&nbsp;mapas)</code></th>
<td class="colLast">
<div class="block">Inicialitza el tauler</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#introducirDatos()">introducirDatos</a></span>()</code></th>
<td class="colLast">
<div class="block">Metode per introduir dades</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#main(java.lang.String%5B%5D)">main</a></span>&#8203;(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>[]&nbsp;args)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#mover(int%5B%5D%5B%5D,int%5B%5D,int%5B%5D)">mover</a></span>&#8203;(int[][]&nbsp;mapa,
int[]&nbsp;pos,
int[]&nbsp;paso)</code></th>
<td class="colLast">
<div class="block">Mou una casella cap a una direcció</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#personaje()">personaje</a></span>()</code></th>
<td class="colLast">
<div class="block">Aqui es on tracta cada cas</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#resultado(boolean,char)">resultado</a></span>&#8203;(boolean&nbsp;vivo,
char&nbsp;dir)</code></th>
<td class="colLast">
<div class="block">Mostra el resultat per pantalla</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang" class="externalLink">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang" class="externalLink">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang" class="externalLink">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang" class="externalLink">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang" class="externalLink">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang" class="externalLink">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait(long,int)" title="class or interface in java.lang" class="externalLink">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;()">Laberinto</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">Laberinto</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="main(java.lang.String[])">main</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">main</span>&#8203;(<span class="arguments"><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>[]&nbsp;args)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="personaje()">personaje</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">personaje</span>()</div>
<div class="block">Aqui es on tracta cada cas</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="introducirDatos()">introducirDatos</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">introducirDatos</span>()</div>
<div class="block">Metode per introduir dades</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>retorna el numero entrat per consola</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="comprobar(int[][],char,int,int[])">comprobar</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">boolean</span>&nbsp;<span class="memberName">comprobar</span>&#8203;(<span class="arguments">int[][]&nbsp;mapa,
char&nbsp;dir,
int&nbsp;dis,
int[]&nbsp;pos)</span></div>
<div class="block">Comproba la direcció i el numero de pasos</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mapa</code> - Mapa del joc</dd>
<dd><code>dir</code> - Direcció a caminar</dd>
<dd><code>dis</code> - Caselles a camniar</dd>
<dd><code>pos</code> - Posició actual</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Estat del jugador (viu/mort)</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="mover(int[][],int[],int[])">mover</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">boolean</span>&nbsp;<span class="memberName">mover</span>&#8203;(<span class="arguments">int[][]&nbsp;mapa,
int[]&nbsp;pos,
int[]&nbsp;paso)</span></div>
<div class="block">Mou una casella cap a una direcció</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mapa</code> - El mapa del llaberint</dd>
<dd><code>pos</code> - Posició a la que moure's</dd>
<dd><code>paso</code> - El pas que dona aquest moviment</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Retorna si esta viu o mort</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="resultado(boolean,char)">resultado</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">boolean</span>&nbsp;<span class="memberName">resultado</span>&#8203;(<span class="arguments">boolean&nbsp;vivo,
char&nbsp;dir)</span></div>
<div class="block">Mostra el resultat per pantalla</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>vivo</code> - Si està viu o mort</dd>
<dd><code>dir</code> - La direcció per on ha escapat</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>retonra sempre false perque ja ha acabat el recorregut</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="iniciarTablero(int[][])">iniciarTablero</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">int[][]</span>&nbsp;<span class="memberName">iniciarTablero</span>&#8203;(<span class="arguments">int[][]&nbsp;mapas)</span></div>
<div class="block">Inicialitza el tauler</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mapas</code> - El mapa del llaberint</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>retorna el mapa restaurat</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Laberinto.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
